import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[菜单]分页
   */
  page(form) {
    return HttpKit.post(`/platform/resource/page`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[菜单]列表
   */
  list(form) {
    return HttpKit.post(`/platform/resource/list`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：查询[菜单]节点
   */
  nodes() {
    return HttpKit.post(`/platform/resource/nodes`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[菜单]
   */
  saveOrUpdate(form) {
    return HttpKit.post(`/platform/resource/save-or-update`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[菜单]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post(`/platform/resource/handle-is-del`, { id: id }).then(
      res => res.data
    )
  }

}
